net.sourceforge.pmd.lang.java.symboltable

## Class Search

- java.lang.Object
- - net.sourceforge.pmd.lang.java.symboltable.Search

-     public class Search
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Search(NameOccurrence occ)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`
    `void` | `execute(Scope startingScope)`
    `NameDeclaration` | `getResult()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Search

          public Search(NameOccurrence occ)

  - ### Method Detail

    - #### execute

          public void execute()

    - #### execute

          public void execute(Scope startingScope)

    - #### getResult

          public NameDeclaration getResult()

Copyright © 2002-2013 InfoEther. All Rights Reserved.